Change a participant's role. A new lead makes the old one a responder.
PUT
/incident/{incident_id}/participants/{user_id}
const url = 'https://api.siteqwality.com/incident/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/participants/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"role":"lead"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.siteqwality.com/incident/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/participants/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "role": "lead" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” incident_id
required
string format: uuid
Incident identifier
user_id
required
string format: uuid
The participant’s user id
Request Body required
Section titled “Request Body required ” Media type application/json
object
role
required
string
Responses
Section titled “ Responses ”The incident’s participants
Media type application/json
Array<object>
object
user_id
required
string format: uuid
role
required
string
added_by
Who added them; the acknowledger for an automatic lead.
string | null format: uuid
added_at
required
string format: date-time
paged_at
When they were paged on being added; null when they were not.
string | null format: date-time
Example
[ { "role": "lead" }]Malformed JSON body
Missing or invalid authentication
Incident not found, or the user is not on it
The incident was merged into another; data holds its current state
Unknown or missing role
Internal server error